Bug 788496 - [RFE] Please rebuild libdb-sql with same options as system sqlite on rawhide/F17
Summary: [RFE] Please rebuild libdb-sql with same options as system sqlite on rawhide/F17
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libdb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Staněk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-08 10:00 UTC by Haïkel Guémar
Modified: 2013-04-20 19:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 19:58:08 UTC


Attachments (Terms of Use)

Description Haïkel Guémar 2012-02-08 10:00:22 UTC
Description of problem:

libdb-sql is not build with the same options as sqlite, 

Version-Release number of selected component (if applicable): 5.2


Additional info:
Actually, i'm packaging libgda5 and the bdb provider now support Berkeley DB 5 and the new SQL interface based on sqlite. 
The bdb-sql provider requires libdb to be compiled at least with SQLITE_ENABLE_COLUMN_METADATA as suggested by libgda build systemd

> configure: Installed BDB Sql was not compiled with the SQLITE_ENABLE_COLUMN_METADATA, BDB Sql provider not compiled

According Berkeley DB installation guide, the SQL interface should support the same options as upstream SQLite. 
http://pkgs.fedoraproject.org/gitweb/?p=sqlite.git;a=blob;f=sqlite.spec;h=e5dee1ab7686ad7cf05d9b2807f71a5c16e36c96;hb=HEAD

Comment 1 Fedora Admin XMLRPC Client 2013-03-12 13:45:15 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Admin XMLRPC Client 2013-03-12 13:45:30 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2013-03-20 09:17:36 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2013-04-03 09:25:29 UTC
libdb-5.3.21-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libdb-5.3.21-9.fc19

Comment 5 Fedora Update System 2013-04-03 16:12:17 UTC
Package libdb-5.3.21-9.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libdb-5.3.21-9.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4764/libdb-5.3.21-9.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-04-20 19:58:10 UTC
libdb-5.3.21-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.